diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 7f498c32..5bfcc348 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -8,9 +8,9 @@
 //////////////////////////////////////////////////////////////
 
 define('tools.querytool', [
-  'babel-polyfill', 'sources/gettext', 'sources/url_for', 'jquery', 'jquery.ui',
-  'jqueryui.position', 'underscore', 'underscore.string', 'pgadmin.alertifyjs',
-  'sources/pgadmin', 'backbone', 'sources/../bundle/codemirror',
+  'sources/gettext', 'sources/url_for', 'jquery', 'jquery.ui',
+  'jqueryui.position', 'underscore', 'pgadmin.alertifyjs',
+  'sources/pgadmin', 'backbone', 'bundled_codemirror',
   'pgadmin.misc.explain',
   'sources/selection/grid_selector',
   'sources/selection/active_cell_capture',
@@ -41,14 +41,13 @@ define('tools.querytool', [
   'sources/window',
   'sources/../bundle/slickgrid',
   'pgadmin.file_manager',
-  'backgrid.sizeable.columns',
   'slick.pgadmin.formatters',
   'slick.pgadmin.editors',
   'slick.pgadmin.plugins/slick.autocolumnsize',
   'pgadmin.browser',
   'pgadmin.tools.user_management',
 ], function(
-  babelPollyfill, gettext, url_for, $, jqueryui, jqueryui_position, _, S, alertify, pgAdmin, Backbone, codemirror,
+  gettext, url_for, $, jqueryui, jqueryui_position, _, alertify, pgAdmin, Backbone, codemirror,
   pgExplain, GridSelector, ActiveCellCapture, clipboard, copyData, RangeSelectionHelper, handleQueryOutputKeyboardEvent,
   XCellSelectionModel, setStagedRows, SqlEditorUtils, ExecuteQuery, httpErrorHandler, FilterHandler,
   GeometryViewer, historyColl, queryHist, querySources,
@@ -1366,9 +1365,7 @@ define('tools.querytool', [
       /* history fetch fail should not affect query tool */
       });
     },
-    /* This function is responsible to create and render the
-     * new backgrid for the history tab.
-     */
+    /* This function is responsible to create and render the the history tab. */
     render_history_grid: function() {
       var self = this;
 
@@ -2185,7 +2182,7 @@ define('tools.querytool', [
           });
       },
       /* This function is used to create instance of SQLEditorView,
-       * call the render method of the grid view to render the backgrid
+       * call the render method of the grid view to render the slickgrid
        * header and loading icon and start execution of the sql query.
        */
       start: function(transId, url_params, layout) {
@@ -2287,7 +2284,7 @@ define('tools.querytool', [
                 );
 
                 pgBrowser.report_error(
-                  S(gettext('Error fetching SQL for script: %s.')).sprintf(msg).value()
+                  gettext('Error fetching SQL for script: %s.', msg)
                 );
               });
           } else {
@@ -2512,9 +2509,8 @@ define('tools.querytool', [
         executeQuery.delayedPoll(this);
       },
 
-      /* This function is used to create the backgrid columns,
-       * create the Backbone PageableCollection and finally render
-       * the data in the backgrid.
+      /* This function is used to create the slickgrid columns
+       * and render the data in the slickgrid.
        */
       _render: function(data) {
         var self = this;
@@ -2577,8 +2573,8 @@ define('tools.querytool', [
               self.query_start_time,
               self.query_end_time
             );
-            var msg1 = S(gettext('Successfully run. Total query runtime: %s.')).sprintf(self.total_time).value();
-            var msg2 = S(gettext('%s rows affected.')).sprintf(self.rows_affected).value();
+            var msg1 = gettext('Successfully run. Total query runtime: %s.',self.total_time);
+            var msg2 = gettext('%s rows affected.',self.rows_affected);
 
             // Display the notifier if the timeout is set to >= 0
             if (self.info_notifier_timeout >= 0) {
@@ -3154,7 +3150,7 @@ define('tools.querytool', [
             } else {
             // Something went wrong while saving data on the db server
               self.set_sql_message(res.data.result);
-              var err_msg = S(gettext('%s.')).sprintf(res.data.result).value();
+              var err_msg = gettext('%s.', res.data.result);
               alertify.error(err_msg, 20);
               // If the transaction is not idle, notify the user that previous queries are not rolled back,
               // only the failed save queries.
@@ -4358,7 +4354,6 @@ define('tools.querytool', [
       return new SqlEditorController(container);
     },
     jquery: $,
-    S: S,
   };
 
   return pgAdmin.SqlEditor;
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index 57fd8d30..abb3ad94 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -8,12 +8,12 @@
 //////////////////////////////////////////////////////////////
 
 define([
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'underscore.string', 'pgadmin.alertifyjs',
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'pgadmin.alertifyjs',
   'pgadmin.browser', 'backbone', 'backgrid', 'backform', 'pgadmin.browser.node',
   'pgadmin.user_management.current_user',
   'backgrid.select.all', 'backgrid.filter',
 ], function(
-  gettext, url_for, $, _, S, alertify, pgBrowser, Backbone, Backgrid, Backform,
+  gettext, url_for, $, _, alertify, pgBrowser, Backbone, Backgrid, Backform,
   pgNode, userInfo
 ) {
 
@@ -352,18 +352,18 @@ define([
               return errmsg;
             } else if (!!this.get('email') && !email_filter.test(this.get('email'))) {
 
-              errmsg = S(gettext('Invalid email address: %s.')).sprintf(
+              errmsg = gettext('Invalid email address: %s.',
                 this.get('email')
-              ).value();
+              );
               this.errorModel.set('email', errmsg);
               return errmsg;
             } else if (!!this.get('email') && this.collection.where({
               'email': this.get('email'),
             }).length > 1) {
 
-              errmsg = S(gettext('The email address %s already exists.')).sprintf(
+              errmsg = gettext('The email address %s already exists.',
                 this.get('email')
-              ).value();
+              );
 
               this.errorModel.set('email', errmsg);
               return errmsg;
@@ -375,9 +375,9 @@ define([
                 _.isNull(this.get('role')) ||
                 String(this.get('role')).replace(/^\s+|\s+$/g, '') == '')) {
 
-              errmsg = S(gettext('Role cannot be empty for user %s.')).sprintf(
+              errmsg = gettext('Role cannot be empty for user %s.',
                 (this.get('email') || '')
-              ).value();
+              );
 
               this.errorModel.set('role', errmsg);
               return errmsg;
@@ -391,9 +391,9 @@ define([
                   _.isNull(this.get('newPassword')) ||
                   this.get('newPassword') == '')) {
 
-                errmsg = S(gettext('Password cannot be empty for user %s.')).sprintf(
+                errmsg = gettext('Password cannot be empty for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('newPassword', errmsg);
                 return errmsg;
@@ -401,9 +401,9 @@ define([
                 !_.isNull(this.get('newPassword')) &&
                 this.get('newPassword').length < 6) {
 
-                errmsg = S(gettext('Password must be at least 6 characters for user %s.')).sprintf(
+                errmsg = gettext('Password must be at least 6 characters for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('newPassword', errmsg);
                 return errmsg;
@@ -415,9 +415,9 @@ define([
                   _.isNull(this.get('confirmPassword')) ||
                   this.get('confirmPassword') == '')) {
 
-                errmsg = S(gettext('Confirm Password cannot be empty for user %s.')).sprintf(
+                errmsg = gettext('Confirm Password cannot be empty for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('confirmPassword', errmsg);
                 return errmsg;
@@ -428,9 +428,9 @@ define([
               if (!!this.get('newPassword') && !!this.get('confirmPassword') &&
                 this.get('newPassword') != this.get('confirmPassword')) {
 
-                errmsg = S(gettext('Passwords do not match for user %s.')).sprintf(
+                errmsg = gettext('Passwords do not match for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('confirmPassword', errmsg);
                 return errmsg;
@@ -462,9 +462,9 @@ define([
                 !this.get('newPassword') == '' &&
                 this.get('newPassword').length < 6) {
 
-                errmsg = S(gettext('Password must be at least 6 characters for user %s.')).sprintf(
+                errmsg = gettext('Password must be at least 6 characters for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('newPassword', errmsg);
                 return errmsg;
@@ -472,18 +472,18 @@ define([
                 _.isNull(this.get('confirmPassword')) ||
                 this.get('confirmPassword') == '') {
 
-                errmsg = S(gettext('Confirm Password cannot be empty for user %s.')).sprintf(
+                errmsg = gettext('Confirm Password cannot be empty for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('confirmPassword', errmsg);
                 return errmsg;
               } else if (!!this.get('newPassword') && !!this.get('confirmPassword') &&
                 this.get('newPassword') != this.get('confirmPassword')) {
 
-                errmsg = S(gettext('Passwords do not match for user %s.')).sprintf(
+                errmsg = gettext('Passwords do not match for user %s.',
                   (this.get('email') || '')
-                ).value();
+                );
 
                 this.errorModel.set('confirmPassword', errmsg);
                 return errmsg;
@@ -740,16 +740,16 @@ define([
                           });
 
                           m.startNewSession();
-                          alertify.success(S(gettext('User \'%s\' saved.')).sprintf(
+                          alertify.success(gettext('User \'%s\' saved.',
                             m.get('email')
-                          ).value());
+                          ));
                         },
                         error: function(res, jqxhr) {
                           m.startNewSession();
                           alertify.error(
-                            S(gettext('Error saving user: \'%s\'')).sprintf(
+                            gettext('Error saving user: \'%s\'',
                               jqxhr.responseJSON.errormsg
-                            ).value()
+                            )
                           );
                         },
                       });
diff --git a/web/regression/javascript/alerts/alertify_wrapper_spec.js b/web/regression/javascript/alerts/alertify_wrapper_spec.js
index 2b8d6e52..429d39a7 100644
--- a/web/regression/javascript/alerts/alertify_wrapper_spec.js
+++ b/web/regression/javascript/alerts/alertify_wrapper_spec.js
@@ -40,7 +40,7 @@ describe('alertify_wrapper', function () {
   });
 
   describe('alertify_error calls pgRespErrorNotify notifier', function() {
-    it('which alertifies response error for ajax calls', () => {
+    it('which alertifies response error for ajax calls', (done) => {
       $.ajax({
         url: 'http://some/dummy/url',
         dataType: 'json',
@@ -107,6 +107,8 @@ describe('alertify_wrapper', function () {
           expect(spyOrigError.calls.mostRecent().args[0]).toContain(
             gettext('Some prefix message')
           );
+
+          done();
         },
       });
     });
diff --git a/web/regression/javascript/browser/modify_animation_spec.js b/web/regression/javascript/browser/modify_animation_spec.js
index a1b9942f..edc0572f 100644
--- a/web/regression/javascript/browser/modify_animation_spec.js
+++ b/web/regression/javascript/browser/modify_animation_spec.js
@@ -25,8 +25,8 @@ describe('modifyAnimation', function () {
     });
     dummyElement = document.createElement('link');
     spyOn($.fn, 'find').and.returnValue($(dummyElement));
-    spyOn($.fn, 'removeAttr');
-    spyOn($.fn, 'attr');
+    spyOn($.fn, 'removeClass');
+    spyOn($.fn, 'addClass');
   });
 
   describe('When browser tree animation is disabled', () => {
@@ -74,7 +74,7 @@ describe('modifyAnimation', function () {
     it('alertify disalogue/notification animation should be disabled', function() {
       expect(pgBrowser.get_preference).toHaveBeenCalled();
       expect($.fn.find).toHaveBeenCalled();
-      expect($.fn.removeAttr).toHaveBeenCalledWith('disabled', 'disabled');
+      expect($.fn.addClass).toHaveBeenCalledWith('alertify-no-animation');
     });
   });
 
@@ -86,7 +86,7 @@ describe('modifyAnimation', function () {
     it('alertify disalogue/notification animation should be enabled', function() {
       expect(pgBrowser.get_preference).toHaveBeenCalled();
       expect($.fn.find).toHaveBeenCalled();
-      expect($.fn.attr).toHaveBeenCalledWith('disabled', 'disabled');
+      expect($.fn.removeClass).toHaveBeenCalledWith('alertify-no-animation');
     });
   });
 
diff --git a/web/regression/javascript/dashboard/charting_spec.js b/web/regression/javascript/dashboard/charting_spec.js
index 26143144..b853c75e 100644
--- a/web/regression/javascript/dashboard/charting_spec.js
+++ b/web/regression/javascript/dashboard/charting_spec.js
@@ -23,10 +23,6 @@ describe('In charting related testcases', ()=> {
     chartObj = new Chart(chartDiv, options);
   });
 
-  it('Chart api should be defined', ()=>{
-    expect(chartObj.chartApi).toBeDefined();
-  });
-
   it('Return the correct container', ()=>{
     expect(chartObj.getContainer()).toEqual(chartDiv);
   });
diff --git a/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js b/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js
index f7cc7016..555c57d1 100644
--- a/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js
+++ b/web/regression/javascript/geometry_viewer/geometry_viewer_spec.js
@@ -8,6 +8,7 @@
 //////////////////////////////////////////////////////////////
 
 import GeometryViewer from 'sources/sqleditor/geometry_viewer';
+import {Geometry} from 'wkx';
 
 describe('geometry viewer test', function () {
 
@@ -54,7 +55,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(2);
     });
 
@@ -75,7 +76,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(1);
     });
 
@@ -95,7 +96,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(1);
     });
 
@@ -113,7 +114,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(1);
     });
 
@@ -144,7 +145,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(2);
     });
 
@@ -163,7 +164,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(0);
     });
 
@@ -182,7 +183,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(0);
     });
 
@@ -202,7 +203,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toEqual(0);
     });
 
@@ -224,7 +225,7 @@ describe('geometry viewer test', function () {
         },
       ];
       let columnIndex = 0;
-      let result = GeometryViewer.parse_data(items, columns, columnIndex);
+      let result = GeometryViewer.parse_data(items, columns, columnIndex, Geometry);
       expect(result.geoJSONs.length).toBeLessThan(600000);
     });
   });
diff --git a/web/regression/javascript/gettext_spec.js b/web/regression/javascript/gettext_spec.js
index 1aca85ef..07e4609c 100644
--- a/web/regression/javascript/gettext_spec.js
+++ b/web/regression/javascript/gettext_spec.js
@@ -19,16 +19,13 @@ describe('translate', function () {
 
     describe('when there are substitutions', function () {
       it('interpolates a substitution', function () {
-        expect(gettext('translate text for %(person)s', {'person': 'Sarah'})).toEqual('translate text for Sarah');
+        expect(gettext('translate text for %s', 'Sarah')).toEqual('translate text for Sarah');
       });
 
       it('interpolates multiple substitutions', function () {
-        expect(gettext('translate \'%(text)s\' for %(person)s',
-          {
-            'text': 'constitution',
-            'person': 'Sarah',
-          }
-        )).toEqual('translate \'constitution\' for Sarah');
+        expect(
+          gettext('translate \'%s\' for %s', 'constitution', 'Sarah')
+        ).toEqual('translate \'constitution\' for Sarah');
       });
     });
 
@@ -37,7 +34,7 @@ describe('translate', function () {
   describe('when there is a translation', function () {
     beforeEach(function () {
       translations['something to be translated'] = 'etwas zum uebersetzen';
-      translations['another translation for %(person)s'] = 'eine weitere Uebersetzung fuer %(person)s';
+      translations['another translation for %s'] = 'eine weitere Uebersetzung fuer %s';
     });
 
     it('returns the translation', function () {
@@ -46,7 +43,7 @@ describe('translate', function () {
 
     describe('when there is a substitution', function () {
       it('interpolates the substitution', function () {
-        expect(gettext('another translation for %(person)s', {'person': 'Sarah'}))
+        expect(gettext('another translation for %s', 'Sarah'))
           .toEqual('eine weitere Uebersetzung fuer Sarah');
       });
     });
diff --git a/web/regression/javascript/pgadmin_utils_spec.js b/web/regression/javascript/pgadmin_utils_spec.js
index 31a5babe..c46e06ee 100644
--- a/web/regression/javascript/pgadmin_utils_spec.js
+++ b/web/regression/javascript/pgadmin_utils_spec.js
@@ -7,7 +7,7 @@
 //
 //////////////////////////////////////////////////////////////
 
-import { getEpoch, getGCD, getMod, quote_ident, parseFuncParams, getRandomInt } from 'sources/utils';
+import { getEpoch, getGCD, getMod, quote_ident, parseFuncParams, getRandomInt, sprintf } from 'sources/utils';
 
 describe('getEpoch', function () {
   it('should return non zero', function () {
@@ -142,3 +142,29 @@ describe('getRandomInt', function () {
     expect(1 <= id && id <= 9999999).toBeTruthy();
   });
 });
+
+describe('sprintf', function () {
+  it('single replace', function () {
+    expect(
+      sprintf('This is normal %s for testing.', 'replace')
+    ).toBe(
+      'This is normal replace for testing.'
+    );
+  });
+
+  it('multi replace', function () {
+    expect(
+      sprintf('This is multi %s for %s testing.', 'positions', 'replace')
+    ).toBe(
+      'This is multi positions for replace testing.'
+    );
+  });
+
+  it('text, numbers, empty replace', function () {
+    expect(
+      sprintf('This is a number - %s, text - %s, and not repalce - %s.', 4321, 'replace')
+    ).toBe(
+      'This is a number - 4321, text - replace, and not repalce - %s.'
+    );
+  });
+});
diff --git a/web/regression/javascript/sqleditor/execute_query_spec.js b/web/regression/javascript/sqleditor/execute_query_spec.js
index 9963997f..b05ffed2 100644
--- a/web/regression/javascript/sqleditor/execute_query_spec.js
+++ b/web/regression/javascript/sqleditor/execute_query_spec.js
@@ -1388,15 +1388,17 @@ describe('ExecuteQuery', () => {
               }, 0);
           });
 
-          it('should not save the state', () => {
+          it('should not save the state', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.saveState).not.toHaveBeenCalled();
+              done();
             }, 0);
           });
 
-          it('should not display pga login', () => {
+          it('should not display pga login', (done) => {
             setTimeout(() => {
               expect(userManagementMock.pgaLogin).not.toHaveBeenCalled();
+              done();
             }, 0);
           });
         });
@@ -1446,18 +1448,20 @@ describe('ExecuteQuery', () => {
               }, 0);
           });
 
-          it('should save the state', () => {
+          it('should save the state', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.saveState).toHaveBeenCalledWith(
                 'check_data_changes_to_execute_query',
                 ['']
               );
+              done();
             }, 0);
           });
 
-          it('should display pga login', () => {
+          it('should display pga login', (done) => {
             setTimeout(() => {
               expect(userManagementMock.pgaLogin).toHaveBeenCalled();
+              done();
             }, 0);
           });
         });
@@ -1507,21 +1511,24 @@ describe('ExecuteQuery', () => {
               }, 0);
           });
 
-          it('should not save the state', () => {
+          it('should not save the state', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.saveState).not.toHaveBeenCalled();
+              done();
             }, 0);
           });
 
-          it('should not display pga login', () => {
+          it('should not display pga login', (done) => {
             setTimeout(() => {
               expect(userManagementMock.pgaLogin).not.toHaveBeenCalled();
+              done();
             }, 0);
           });
 
-          it('should not initialize a new transaction', () => {
+          it('should not initialize a new transaction', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.initTransaction).not.toHaveBeenCalled();
+              done();
             }, 0);
           });
         });
@@ -1571,24 +1578,27 @@ describe('ExecuteQuery', () => {
               }, 0);
           });
 
-          it('should save the state', () => {
+          it('should save the state', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.saveState).toHaveBeenCalledWith(
                 'check_data_changes_to_execute_query',
                 ['']
               );
+              done();
             }, 0);
           });
 
-          it('should not display pga login', () => {
+          it('should not display pga login', (done) => {
             setTimeout(() => {
               expect(userManagementMock.pgaLogin).not.toHaveBeenCalled();
+              done();
             }, 0);
           });
 
-          it('should initialize a new transaction', () => {
+          it('should initialize a new transaction', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.initTransaction).toHaveBeenCalled();
+              done();
             }, 0);
           });
         });
@@ -1601,18 +1611,20 @@ describe('ExecuteQuery', () => {
             executeQuery.execute('some sql query', '');
           });
 
-          it('saves state', () => {
+          it('saves state', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.saveState).toHaveBeenCalledWith(
                 'check_data_changes_to_execute_query',
                 ['']
               );
+              done();
             }, 0);
           });
 
-          it('calls handle_connection_lost', () => {
+          it('calls handle_connection_lost', (done) => {
             setTimeout(() => {
               expect(sqlEditorMock.handle_connection_lost).toHaveBeenCalled();
+              done();
             }, 0);
           });
         });
diff --git a/web/regression/javascript/table/enable_disable_triggers_spec.js b/web/regression/javascript/table/enable_disable_triggers_spec.js
index 45d685e4..cc6591bb 100644
--- a/web/regression/javascript/table/enable_disable_triggers_spec.js
+++ b/web/regression/javascript/table/enable_disable_triggers_spec.js
@@ -59,7 +59,7 @@ describe('#enableTriggers', () => {
 
   describe('a node is selected', () => {
     describe('node as no data', () => {
-      it('does not send the request to the backend', () => {
+      it('does not send the request to the backend', (done) => {
         tree.selectNode([{id: 'table-no-data'}]);
 
         networkMock.onAny('.*').reply(200, () => {
@@ -67,6 +67,7 @@ describe('#enableTriggers', () => {
 
         setTimeout(() => {
           expect(enableTriggers(tree, alertify, generateUrlSpy, {})).toEqual(false);
+          done();
         }, 0);
       });
     });
@@ -186,7 +187,7 @@ describe('#disableTriggers', () => {
 
   describe('a node is selected', () => {
     describe('node as no data', () => {
-      it('does not send the request to the backend', () => {
+      it('does not send the request to the backend', (done) => {
         tree.selectNode([{id: 'table-no-data'}]);
 
         networkMock.onAny('.*').reply(200, () => {
@@ -194,6 +195,7 @@ describe('#disableTriggers', () => {
 
         setTimeout(() => {
           expect(disableTriggers(tree, alertify, generateUrlSpy, {})).toEqual(false);
+          done();
         }, 0);
       });
     });
diff --git a/web/regression/javascript/tree/tree_fake.js b/web/regression/javascript/tree/tree_fake.js
index fc94d3f1..2187a8f4 100644
--- a/web/regression/javascript/tree/tree_fake.js
+++ b/web/regression/javascript/tree/tree_fake.js
@@ -40,7 +40,7 @@ export class TreeFake extends Tree {
     super();
     this.aciTreeToOurTreeTranslator = {};
     this.aciTreeApi = jasmine.createSpyObj(
-      ['ACITreeApi'], ['setInode', 'unload', 'deselect', 'select']);
+      'ACITreeApi', ['setInode', 'unload', 'deselect', 'select']);
   }
 
   addNewNode(id, data, domNode, path) {
